Bug 146628 - kernel 2.6.10-1.741_FC3 makes hard disk park MUCH too frequently
kernel 2.6.10-1.741_FC3 makes hard disk park MUCH too frequently
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-30 22:15 EST by Walter Neumann
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 20:19:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Walter Neumann 2005-01-30 22:15:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When I boot into a 2.6.10 Fedora kernel the Load_Cycle_Count for my
harddisk (as reported by smartctl) increments about 2 or 3 times a
minute. At this rate the harddisk will reach its 'end of life'
engineering limit on the number of head parks in less than a year.

According to my /var/log/messages.* this started about two weeks ago,
around the time I upgraded to the 2.6.10 kernel (in those two weeks
the Load_Cycle_Count increased as much as in the previous 9 months). 

It does NOT happen when I boot into a 2.6.9 kernel, so it seems to be
a kernel issue, or maybe it is an interaction of this kernel with my
particular hardware. If it is a general problem, there will be many
people experiencing unexpectedly early hard drive failure. I only
noticed it because I have smartd logging set up (which is not a fedora
default). It is not noticable from any unusual drive activity.

I have resolved the issue for myself by adding "hdparm -B254 /dev/hda"
to my startup scripts. 



Version-Release number of selected component (if applicable):
kernels 2.6.10-1.741_FC3 and 2.6.10-1.737_FC3 

How reproducible:
Always

Steps to Reproduce:
1.Boot 2.6.10-1.741_FC3 or other recent 2.6.10 Fedora kernel
2.Use smartctl to log Load_Cycle_Count for the hard drive
3.
    

Actual Results:  Load_Cycle_Count increments on average 2 to 3 times
per minute (but not at very regular intervals). No power-save features
are explicitely turned on in my system (laptop-mode is not on). Does
not happen with 2.6.9 kernel.

Expected Results:  Load_Cycle_Count should not increment in normal use
without turning on power-save features, and should increment much more
rarely even if power save feature are turned on (using a 2.6.9 kernel
with laptop-mode and running on battery, Load_Cycle_count increments
by less than 20 per hour in normal use, as opposed to about 150 per
hour with the 2.6.10-1.741_FC3 kernel).

Additional info:

Hard drive is 

HITACHI IC25N040ATCS04-0, 40 Gb Hard Drive
Comment 1 Alan Cox 2005-02-24 04:05:51 EST
Nothing to do with the IDE layer. We don't touch the power management registers
except when the user asks via power management. Suspect it may be the ACPI code ?

Comment 2 Dave Jones 2005-02-24 13:59:38 EST
does booting with acpi=off make this problem go away ?
Comment 3 Walter Neumann 2005-02-25 01:52:50 EST
No, booting with acpi=off makes no difference.
Comment 4 Walter Neumann 2005-03-02 20:19:25 EST
Dave suggested checking power management in the BIOS. It was on.
Turning it off fixes the issue. 

Seems my machine has pretty aggressive power management from the BIOS
and earlier kernels hid that by disabling it.
Comment 5 Wayne Johnson 2005-03-09 11:27:04 EST
I don't think that turning the power management off is a proper
solution as it will reduce the battery time. 

I think the real issue here is that the partition is not mounted
correctly. With the default fstab configuration hard drive power
management does not work because the drive get woken up all the time
to write journal information and such.

I am not sure how to confirm this. Does this sound plausible?

Wouldn't the real solution be to change the file system parameters for
the hard drive when power management is enabled so that this problem
does not occur and we get the better battery life? 

I am not very experienced with Linux but I would be willing to help.
Problems with running on battery -- short battery life and poor
performance, is keeping me from using it more often.
Comment 6 Walter Neumann 2005-03-09 12:23:19 EST
I have no problem with turning off power management in BIOS.
Laptop-mode still gives me very good power-management, courtesy of
linux rather than the BIOS. I get about 3 hours 40 minutes on battery.

Anyway, this was not a linux bug -- it was that my BIOS/drive
combination (in my OEM laptop) that gave overly aggressive power
management. 

Other laptops probably don't have this problem, so can leave power
management on in BIOS if they want. (If my laptop is typical, the BIOS
setting was anyway overridden by kernels up to 2.6.9 but no longer in
2.6.10.)

Note You need to log in before you can comment on or make changes to this bug.